clang-tools 6.0.0

Public Types | Public Member Functions | List of all members
clang::tidy::modernize::Confidence Class Reference

A class to encapsulate lowering of the tool's confidence level. More...

`#include <LoopConvertUtils.h>`

## Public Types
enum | Level { CL_Risky, CL_Reasonable, CL_Safe }

## Public Member Functions
| Confidence (Confidence::Level Level)
| Initialize confidence level. More...
void | lowerTo (Confidence::Level Level)
| Lower the internal confidence level to Level, but do not raise it. More...
Level | getLevel () const
| Return the internal confidence level. More...

## Detailed Description

A class to encapsulate lowering of the tool's confidence level.

Definition at line 243 of file LoopConvertUtils.h.

## Member Enumeration Documentation

## ◆ Level

enum clang::tidy::modernize::Confidence::Level

Enumerator
CL_Risky |
CL_Reasonable |
CL_Safe |

Definition at line 245 of file LoopConvertUtils.h.

## Constructor & Destructor Documentation

## ◆ Confidence()

clang::tidy::modernize::Confidence::Confidence | ( | Confidence::Level | Level | ) |
| inline explicit

Initialize confidence level.

Definition at line 256 of file LoopConvertUtils.h.

## Member Function Documentation

## ◆ getLevel()

Level clang::tidy::modernize::Confidence::getLevel | ( |  | ) | const
| inline

Return the internal confidence level.

Definition at line 264 of file LoopConvertUtils.h.

## ◆ lowerTo()

void clang::tidy::modernize::Confidence::lowerTo | ( | Confidence::Level | Level | ) |
| inline

Lower the internal confidence level to Level, but do not raise it.

Definition at line 259 of file LoopConvertUtils.h.

Referenced by clang::tidy::modernize::ForLoopIndexUseVisitor::addUsage(), and clang::tidy::modernize::LoopConvertCheck::check().

The documentation for this class was generated from the following file:

- LoopConvertUtils.h